@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Bruno+Ace+SC&family=Josefin+Sans:wght@200;400;600;700&family=Poppins:wght@400;700&display=swap');

:root{
    --fundo: #1f1f1f
   
}
/* ============ GLOBAL ============= */
*{
    margin: 0;
    padding: 0;
}

/* ============ BODY ============= */

body{
  background-color: var(--fundo);
  background-image: url("../imagens/home/fundo/fundo-alternativo-opacidade30.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  font-family: 'Josefin Sans', sans-serif;
  color: white;
  
  
}

/* ============ HEADER ============= */

header{
  font-weight: 200;
  text-transform: uppercase;
  padding: 20px;
  display: block;
  align-items: center;
    
}

header nav{
  margin-top: 20px;
}

header h1{
  padding: 30px;
  font-size: 25px;
  letter-spacing: 6px;
  font-weight: 400;
  text-align: center;
  line-height: 40px;
}

/* ============ IDIOMA ============= */

.container-idioma{
  position: relative;
}

#formulario-idioma{
  position: absolute;
  left: 73%;
}

#iidioma{
  background-color: #1f1f1f;
  color: #fff;
  font-family: 'Josefin Sans', sans-serif;
  padding: 5px;
  border: solid 1px#5c5c5c;
  font-weight: 300;
  cursor: pointer;
}

/* ============ MENU ============= */

.menu-toggle{
  width: 40px;
  height: 40px;
  cursor: pointer;
}

.menu-toggle:before, .menu-toggle:after{
  content: "";
  position: absolute;
  background-color: #fff;
  width: 30px;
  height: 3px;
  transition: 1s;
}

.menu-toggle:before {
  transform: translateY(10px);
}
  
.menu-toggle:after {
  transform: translateY(25px);
}
  
.menu {
  display: none;
}

.menu.open {
  display: block;
}

.menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.menu li {
  padding: 10px 0;
  
}

.menu a {
  color: #fff;
  text-decoration: none;
}

.menu a:hover{
  font-weight: 400;
}

/* ============ MAIN ============= */

main{
  margin: auto;
}

img{
  box-shadow: 2px 2px 5px #0000009a;
  display: inline-block;
  width: 300px;
} 

.vitrine{
  display: flex;
  direction: row;
  max-width: 700px;
  margin: auto;
  flex-wrap: wrap;
  justify-content: center;
}

/* ============ FORMULÁRIO COMPRAR ============= */

/* Estilo do formulário sobreposto */
#containerFormularioComprar {
  width: 300px;
  display: none;
  font-family: 'Josefin Sans', sans-serif;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #000000b7;
  color: white;
  padding: 20px;
  border: none;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  z-index: 9999;
  /* opacity: 0; */
  transition: opacity 0.5s ease;
}

/* Estilo para os campos do formulário */
#formularioComprar input, #selecao-mandala {
  height: 30px;
  display: block;
  margin-bottom: 10px;
  margin-top: 0;
}

#formularioComprar label{
  display: block;
  margin-bottom: 10px;
}

#selecao-mandala{
  background-color: #000000;
  color: #fff;
  font-family: 'Josefin Sans', sans-serif;
  padding: 5px;
  border: solid 1px#5c5c5c;
  font-weight: 300;
}

#formularioComprar button {
  display: block;
  margin-top: 20px;
  bottom: 20px;
  right: 20px;
  padding: 10px 20px;
  background-color: #0000006b;
  color: #fff;
  border: solid 1px white;
  border-radius: 2px;
  cursor: pointer;
}

#formularioComprar button:hover {
  background-color: #464646;
  transition: 1s ease;
 }

/* Estilo do botão "X" */
#fecharFormularioComprar {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 16px;
  background-color: transparent;
  border: none;
  cursor: pointer;
  color: #a1a1a1;
}

/* Efeito hover para o botão "X" */
#fecharFormularioComprar:hover {
  color: white;
}

/* ============ FORMULÁRIO PERSONALIZADO ============= */

.titulo-formulario{
  font-family: 'Josefin Sans', sans-serif;
  font-size: 15px;
  margin-bottom: 20px;
  text-align: center;
  text-transform: uppercase;
  
}

/* Estilo do botão */
#personalizar {
  position: fixed;
  bottom: 20px;
  right: 20px;
  padding: 10px 20px;
  background-color: #1f1f1f;
  color: #fff;
  border: solid 1px white;
  border-radius: 2px;
  cursor: pointer;
  z-index: 9998;
}

#personalizar:hover {
  background-color: #464646;
  transition: 1s ease;
 }

/* Estilo do formulário sobreposto */
#formularioSobreposto {
  width: 300px;
  display: none;
  font-family: 'Josefin Sans', sans-serif;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #000000b7;
  color: white;
  padding: 20px;
  border: none;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  z-index: 9999;
  /* opacity: 0; */
  transition: opacity 0.5s ease;
}

/* Estilo para os campos do formulário */
#meuFormulario input {
  height: 30px;
  display: block;
  margin-bottom: 10px;
}

#meuFormulario label{
  display: block;
  margin-bottom: 10px;
}

#meuFormulario button {
  display: block;
  margin-top: 20px;
  bottom: 20px;
  right: 20px;
  padding: 10px 20px;
  background-color: #0000006b;
  color: #fff;
  border: solid 1px white;
  border-radius: 2px;
  cursor: pointer;
}

#meuFormulario button:hover {
  background-color: #464646;
  transition: 1s ease;
 }

/* Estilo do botão "X" */
#fecharFormulario {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 16px;
  background-color: transparent;
  border: none;
  cursor: pointer;
  color: #a1a1a1;
}

/* Efeito hover para o botão "X" */
#fecharFormulario:hover {
  color: white;
}

/* OVERLAY SOB AS MANDALAS */
.image-container {
  position: relative;
  width: 300px;
  margin: auto;
  padding: 5px;
}

.image-container img {
  display: block;
  height: auto;
  margin: auto;
}

.image-container .overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 300px;
  height: 300px;
  background-color: rgba(0, 0, 0, 0.582);
  opacity: 0;
  transition: opacity 0.5s ease;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-align: center;
  margin: auto;
  transform: translate(-50%, -50%);
  cursor: pointer;
}

.image-container:hover .overlay {
  opacity: 1;
}

.image-container .overlay .text {
  font-size: 16px;
  font-family: 'Josefin Sans', sans-serif;
  font-weight: 300;
  margin: 10px;
}

.overlay h1{
  font-size: 22px;
  font-family: 'Josefin Sans', sans-serif;
  margin-top: 10px;
}
.overlay p{
  margin: 10px;

}

.image-container .overlay .button-comprar {
  padding: 10px 20px;
  background-color: rgba(0, 0, 0, 0.555);
  color: #fff;
  border: solid 1px #a7a7a7;
  cursor: pointer;
}

.image-container .overlay .button-comprar:hover {
 background-color: #464646;
 transition: 1s ease;
}

/* ============ FOOTER ============= */

footer{
    text-align: center;
    font-size: 14px;
    font-weight: 300;
    margin: 50px;
}